package gongyinglian

import "shylinux.com/x/ice"

type express struct{ Relative }

func init() { ice.TeamCtxCmd(express{}) }

type ExpressStatus int

const (
	ExpressUnknown ExpressStatus = iota
	ExpressCreate
	ExpressSend
	ExpressRecv
	ExpressConfirm
)

var ExpressStatusList = map[ExpressStatus]string{
	ExpressUnknown: "unknown",
	ExpressCreate:  "create",
	ExpressSend:    "send",
	ExpressRecv:    "recv",
	ExpressConfirm: "confirm",
}

func (s ExpressStatus) String() string { return ExpressStatusList[s] }
