package zijinlian

import "shylinux.com/x/ice"

type capital struct{ Table }

func init() { ice.TeamCtxCmd(capital{}) }

type CapitalType int

const (
	CapitalBank CapitalType = iota
	CapitalAngel
	CapitalVenture
	CapitalPrivate
)

var CapitalTypeList = map[CapitalType]string{
	CapitalBank:    "bank",
	CapitalAngel:   "angel",
	CapitalVenture: "venture",
	CapitalPrivate: "private",
}

func (s CapitalType) String() string { return CapitalTypeList[s] }
