package shichangyingxiao

import "shylinux.com/x/ice"

type channel struct{ Table }

func init() { ice.TeamCtxCmd(channel{}) }

type ChannelType int

const (
	ChannelOnline ChannelType = iota
	ChannelOffline
)

var ChannelTypeList = map[ChannelType]string{
	ChannelOnline:  "online",
	ChannelOffline: "offline",
}

func (s ChannelType) String() string { return ChannelTypeList[s] }
